LoggingManager (Selenium RC Server (Coreless) 1.0.1 API)
Date: 2009-06-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server.log
Class LoggingManager

    java.lang.Object
      org.openqa.selenium.server.log.LoggingManager

    public class LoggingManager

extends java.lang.Object

Configure logging to Selenium taste.

Constructor Summary
`LoggingManager()`

Method Summary
`static org.apache.commons.logging.Log` | `configureLogging(RemoteControlConfiguration configuration, boolean debugMode)`
`static void` | `overrideSimpleFormatterWithTerseOneForConsoleHandler(java.util.logging.Logger logger, boolean debugMode)`
`protected static void` | `resetLoggerToOriginalState()`
`protected static void` | `restoreOriginalHandlersFormattersAndLevels(java.util.logging.Logger logger)`
`protected static void` | `saveOriginalHandlersFormattersAndLevels(java.util.logging.Logger logger)`
`static ShortTermMemoryHandler` | `shortTermMemoryHandler()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggingManager

    public LoggingManager()

Method Detail

### configureLogging

    public static org.apache.commons.logging.Log configureLogging(RemoteControlConfiguration configuration,
                                                                  boolean debugMode)

### shortTermMemoryHandler

    public static ShortTermMemoryHandler shortTermMemoryHandler()

### overrideSimpleFormatterWithTerseOneForConsoleHandler

    public static void overrideSimpleFormatterWithTerseOneForConsoleHandler(java.util.logging.Logger logger,
                                                                            boolean debugMode)

### resetLoggerToOriginalState

    protected static void resetLoggerToOriginalState()

### restoreOriginalHandlersFormattersAndLevels

    protected static void restoreOriginalHandlersFormattersAndLevels(java.util.logging.Logger logger)

### saveOriginalHandlersFormattersAndLevels

    protected static void saveOriginalHandlersFormattersAndLevels(java.util.logging.Logger logger)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.